Jump to content

MediaWiki:Common.css: Difference between revisions

From Scampsopedia
No edit summary
mNo edit summary
Line 1: Line 1:
.scamp-link-button * {
box-sizing: border-box;
}
.scamp-link-button {
.scamp-link-button {
   display: inline-flex;
   display: inline-flex;

Revision as of 12:29, 14 January 2026

.scamp-link-button * {
	box-sizing: border-box;
}
.scamp-link-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;

  transition: none 0.2s ease;
  transition-property: background-color, border;
  background-color: var(--background-color-interactive);
  border: 1px solid var(--border-color-interactive);
  border-radius: 4px;
}

.scamp-link-button:hover {
  background-color: var(--background-color-interactive--hover);
  border-color: var(--border-color-interactive--hover);
}

.scamp-link-button a { 
  text-align: center;
  flex: 1;
  padding: 0.75rem 1rem;
  color: var(--color-base);
  text-decoration: none;
}

.scamp-link-button:hover a,
.scamp-link-button:active a { 
  color: var(--color-base);
}

.scamp-link-button a.external {
  background-image: none;
  padding: 0.75rem 1rem;
}